Subject: Re: linux-next: manual merge of the xarray tree with the kselftest tree

From: Shuah Khan <[email-masked]>
Date: Tue, 14 Dec 2021 09:39:25 -0700

On 12/13/21 3:24 PM, [email-masked] wrote:
> Hi all,
> 
> Today's linux-next merge of the xarray tree got a conflict in:
> 
>    tools/include/linux/kernel.h
> 
> between commits:
> 
>    d6e6a27d960f9 ("tools: Fix math.h breakage")
>    066b34aa5461f ("tools: fix ARRAY_SIZE defines in tools and selftests hdrs")
> 
> from the kselftest and origin trees and commit:
> 
>    f2aa11fd51440 ("tools: Fix math.h breakage")
> 
> from the xarray tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc tools/include/linux/kernel.h
> index 9701e8307db02,3e8df500cfbd4..0000000000000
> --- a/tools/include/linux/kernel.h
> +++ b/tools/include/linux/kernel.h
> 

Thank you. I will keep track of this when I send pull request.

thanks,
-- Shuah